<html>

  <head>
    <script src="js/nanocurrency-web-js/index.min.js" type="text/javascript"></script>
    <script src="js/qr-creator/qr-creator.min.js" type="text/javascript"></script>
    <script src="js/nostr-tools/nostr.bundle.js" type="text/javascript"></script>
    <script src="js/index.js" type="text/javascript"></script>
    <script src="js/nostr.js" type="text/javascript"></script>
    <script src="js/nano.js" type="text/javascript"></script>
    <script>
    function loadPage() {
      nanoNode = document.getElementById('nano-node').value;
      loadIdentity();

      renderQRCode('nano:' + nanoAccount + '?label=Nano Chat&message=Send Nano to your Nano Chat wallet');
      document.getElementById('nanoAddr').innerText = nanoAccount;

      listenForMessages();
    }

    async function sendMessage(msg) {
      var signature = sign(msg);

      readStreamCode(document.getElementById('scode').value);
      sendBlock = await sendNano(nanoAccount, nanoAddressStreamer, document.getElementById("amount").value, signature + Date.now() / 1000);

      msg = signature + "." + Math.floor(Date.now() / 1000) + '.' + sendBlock.block + '.' + msg;
      sendNostrMessage(msg, nostrChannelEvent.data);

      document.getElementById("signedMsg").innerText = msg;

      return msg;
    }
    </script>
  </head>

  <body onload="loadPage()">
    <select id="nano-node" onchange="nanoNode = this.value; console.log(nanoNode)">
      <option value="http://192.168.15.22:7076" selected>http://192.168.15.22:7076</option>
      <option value="https://rainstorm.city/api">https://rainstorm.city/api</option>
    </select>
    <br />
    <input type="button" id="genID" onclick="generateIdentity()" value="Gerar Identidade" />
    <div id="qrCodeImg">
    </div>
    <p id="nanoAddr"></p>
    <input type="button" value="Receber Nano" onclick="receiveNano(nanoAccount)" />
    <br />
    <label for="scode">StreamCode:</label>
    <br />
    <input type="text" id="scode" />
    <br />
    <label for="amount">Quantia:</label>
    <br />
    <input type="number" id="amount" value="1" />
    <br />
    <label for="msg">Mensagem:</label>
    <br />
    <textarea id="msg"></textarea>
    <br />
    <input type="button" value="Enviar" onclick='sendMessage(document.getElementById("msg").value)' />
    <p id="signedMsg"></p>
    <div id="lstMsgs">
      
    </div>
  </body>

</html>
